Subject: [PATCH 1/1] mmc: host: enable OMAP DMA engine support for omap hosts by default

From: [email-masked] (Tony Lindgren)
Date: Wed, 18 Jul 2012 00:10:39 -0700

* Shilimkar, Santosh <[email-masked]> [120718 00:09]:
> On Wed, Jul 18, 2012 at 12:29 PM, Tony Lindgren <[email-masked]> wrote:
> > * Javier Martinez Canillas <[email-masked]> [120716 23:56]:
> >> On Tue, Jul 17, 2012 at 8:45 AM, Shilimkar, Santosh
> >> <[email-masked]> wrote:
> >> > Hi,
> >> >
> >> > On Tue, Jul 17, 2012 at 6:00 AM, Javier Martinez Canillas
> >> > <[email-masked]> wrote:
> >> >> The OMAP MMC and OMAP High Speed MMC hosts now use entirely the DMA
> >> >> engine API instead of the previous private DMA API implementation.
> >> >>
> >> >> So, if the kernel is built with support for any of these hosts but it
> >> >> doesn't support DMA devices nor OMAP DMA support, it fails when trying
> >> >> to obtain a DMA channel which leads to the following error on an OMAP3
> >> >> IGEPv2 Rev.C board (and probably on most OMAP boards with MMC support):
> >> >>
> >> >> [    2.199981] omap_hsmmc omap_hsmmc.1: unable to obtain RX DMA engine channel 48
> >> >> [    2.215087] omap_hsmmc omap_hsmmc.0: unable to obtain RX DMA engine channel 62
> >> >>
> >> >> selecting automatically CONFIG_DMADEVICES and CONFIG_DMA_OMAP solves it.
> >> >>
> >> >> Signed-off-by: Javier Martinez Canillas <[email-masked]>
> >> >> ---
> >> > Considering, we are updating drivers to select the DMA engine, can you
> >> > also include
> >> > "drivers/spi/spi-omap2-mcspi.c" which is also updated for DMA engine.
> >> >
> >> > Regards
> >> > Santosh
> >>
> >> Hi Santosh,
> >>
> >> Ok, I'll send a v2 now which includes spi-omap2-mcspi then.
> >
> > I don't think we should do this, the drivers should work with and without
> > dma. This just needs to be added to the omap2plus_defconfig.
> >
> Well this was not decided based on any DMA CONFIG option before for
> the subject drivers. It is already by default enabled if the DMA is supported
> by the driver IP. There is a possibility to disable it from driver platform/dt
> data so that still remains.

I think it should rather be that if the driver is broken and does not work
without DMA, it should have depends on CONFIG_DMA_OMAP.

Regards,

Tony